import {ZObject, Bundle, HttpRequestOptions} from 'zapier-platform-core'

const {HOOKS_API_URL} = process.env

async function test(zapier: ZObject) {
	const response = await zapier.request({
		url: `${HOOKS_API_URL}/verifytoken`
	})

	switch (response.status) {
		case 200:
			break
		case 401:
			throw new Error('The entered api token is incorrect')
		default:
			throw new Error(`${response.json} status: ${response.status}`)
	}

	return response
}

export function addAuthenticationToken(request: HttpRequestOptions, zapier: ZObject, bundle: Bundle) {
	request.headers!.Authorization = bundle.authData.api_key
	return request
}

const Authentication = {
	type: 'custom',
	fields: [
		{
			label: 'API Key',
			key: 'api_key',
			type: 'string',
			required: true,
			helpText: 'Found on your integrations page on Produck.'
		}
	],
	test
}

export default Authentication
