import casual from 'casual-browserify'

export function getIssueSample() {
	return {
		id: casual.uuid,
		alias: casual.integer(0),
		title: casual.title,
		description: casual.description,
		estimate: casual.integer(0, 100),
		dueDate: new Date().toLocaleDateString('en-us'),
		closedDate: new Date().toLocaleDateString('en-us'),
		createdAt: new Date(),
		updatedAt: new Date()
	}
}

export function getUserSample() {
	return {
		id: casual.uuid,
		firstName: casual.first_name,
		lastName: casual.last_name,
		email: casual.email
	}
}

export function getProjectSample(parentId?: boolean) {
	return {
		id: casual.uuid,
		name: casual.title,
		color: casual.rgb_hex,
		type: 'Project',
		createdAt: new Date(),
		parentId: parentId && casual.uuid
	}
}

export function getSprintSample(parentId?: boolean) {
	return {
		id: casual.uuid,
		name: casual.title,
		color: casual.rgb_hex,
		type: 'Sprint',
		createdAt: new Date(),
		parentId: parentId && casual.uuid
	}
}

export function getTagSample() {
	return {
		id: casual.uuid,
		name: casual.title,
		type: 'Tag',
		createdAt: new Date()
	}
}

export function getFolderSample() {
	return {
		id: casual.uuid,
		name: casual.title,
		type: 'Folder',
		parentId: casual.uuid,
		createdAt: new Date()
	}
}

export function getPrioritySample() {
	return {
		id: casual.uuid,
		name: casual.title,
		type: 'Priority'
	}
}

export function getStatusSample() {
	return {
		id: casual.uuid,
		name: casual.title,
		color: casual.rgb_hex,
		type: 'Status',
		subtype: casual.title.toLowerCase()
	}
}
